gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.Misc.IMMulticontext

Contents

- Class Hierarchy
- Types
- Constructors
- Methods

Description

An input method context supporting multiple, loadable input methods

Synopsis

- data IMMulticontext
- class IMContextClass o => IMMulticontextClass o
- castToIMMulticontext :: GObjectClass obj => obj -> IMMulticontext
- gTypeIMMulticontext :: GType
- toIMMulticontext :: IMMulticontextClass o => o -> IMMulticontext
- imMulticontextNew :: IO IMContext
- imMulticontextAppendMenuitems :: (IMMulticontextClass self, MenuShellClass menushell) => self -> menushell -> IO ()

# Class Hierarchy

    | GObject
    | +----IMContext
    | +----IMMulticontext

# Types

data IMMulticontext Source #

#### Instances

Instances details

Eq IMMulticontext Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: IMMulticontext -> IMMulticontext -> Bool Source # (/=) :: IMMulticontext -> IMMulticontext -> Bool Source #
Ord IMMulticontext Source # |

Instance details

Defined in Graphics.UI.Gtk.Types

Methods

compare :: IMMulticontext -> IMMulticontext -> Ordering Source #

(<) :: IMMulticontext -> IMMulticontext -> Bool Source #

(<=) :: IMMulticontext -> IMMulticontext -> Bool Source #

(>) :: IMMulticontext -> IMMulticontext -> Bool Source #

(>=) :: IMMulticontext -> IMMulticontext -> Bool Source #

max :: IMMulticontext -> IMMulticontext -> IMMulticontext Source #

min :: IMMulticontext -> IMMulticontext -> IMMulticontext Source #

GObjectClass IMMulticontext Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: IMMulticontext -> GObject Source # unsafeCastGObject :: GObject -> IMMulticontext Source #
IMContextClass IMMulticontext Source # |
Instance details Defined in Graphics.UI.Gtk.Types
IMMulticontextClass IMMulticontext Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class IMContextClass o => IMMulticontextClass o Source #

#### Instances

Instances details

IMMulticontextClass IMMulticontext Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToIMMulticontext :: GObjectClass obj => obj -> IMMulticontext Source #

gTypeIMMulticontext :: GType Source #

toIMMulticontext :: IMMulticontextClass o => o -> IMMulticontext Source #

# Constructors

imMulticontextNew :: IO IMContext Source #

Creates a new `IMMulticontext`.

# Methods

imMulticontextAppendMenuitems Source #

Arguments

:: (IMMulticontextClass self, MenuShellClass menushell) |
=> self |
-> menushell | `menushell` - a `MenuShell`
-> IO () |

Add menuitems for various available input methods to a menu; the menuitems, when selected, will switch the input method for the context and the global default input method.